<html>
<head>
<link rel="stylesheet" type="text/css" href="styles/Style.css">
<script language="JavaScript" type="text/javascript" src="ajax.js"></script>
</head>
<body>
<?php
require_once("../../class/class.conectar.php");
require_once("../../class/class.usudep.php");
require_once("../../class/class.faltas.php");

date_default_timezone_set('UTC');

$arridper = unserialize($_POST['arridper']);
$arrutcod = unserialize($_POST['arrutcod']);

//personal de apoyo
$arrdia = unserialize($_POST['arrdia']);
$arridh = unserialize($_POST['arridh']);
$arridga = unserialize($_POST['arridga']);
$arrida = unserialize($_POST['arrida']);
$arrtipoh = unserialize($_POST['arrtipoh']);

$arraymes = array();
$arraymes[] = array('idmes'=>'1','mes'=>'ENERO');
$arraymes[] = array('idmes'=>'2','mes'=>'FEBRERO');
$arraymes[] = array('idmes'=>'3','mes'=>'MARZO');
$arraymes[] = array('idmes'=>'4','mes'=>'ABRIL');
$arraymes[] = array('idmes'=>'5','mes'=>'MAYO');
$arraymes[] = array('idmes'=>'6','mes'=>'JUNIO');
$arraymes[] = array('idmes'=>'7','mes'=>'JULIO');
$arraymes[] = array('idmes'=>'8','mes'=>'AGOSTO');
$arraymes[] = array('idmes'=>'9','mes'=>'SETIEMBRE');
$arraymes[] = array('idmes'=>'10','mes'=>'OCTUBRE');
$arraymes[] = array('idmes'=>'11','mes'=>'NOVIEMBRE');
$arraymes[] = array('idmes'=>'12','mes'=>'DICIEMBRE');

$ugid=$_POST['ugid'];
$idj=$_POST['idj'];
$ids=$_POST['ids'];
$anno=$_POST['anno'];
$mm=$_POST['mes'];
$idtp=$_POST['idtp'];
//$nserv=$_POST['nserv'];


$Objcon = new Conectar();
$conex = $Objcon->con();

//delete de los registro actuales
$Obj_f = new Faltas();
$Obj_f->eliminar_faltas_mes($conex,$anno,$mm,$idj,$ids,$idtp);

for($i=0;$i<count($arridper);$i++)
{
//busca el origen del servicio del personal
$ugidb=$arridper[$i];

$Obj_ud = new UsuarioDependencia();
$res_ud = array();
$res_ud = $Obj_ud->buscar_per_dep($conex,$ugidb);

for($a=1;$a<count($res_ud);$a++){
$idso=$res_ud[$a]['ids'];
$idjo=$res_ud[$a]['idj'];
}
$res_f = $Obj_f->registrar_faltas_per($conex,$anno,$mm,$arrdia[$i],$arrutcod[$i],$arridper[$i],$idjo,$idso,$idtp,$ids,$arridga[$i],$arrida[$i],$arridh[$i],$arrtipoh[$i],$ugid);
}

$idj = $idj;
$ids = $ids;
//echo "el codigo es del servicio es ".$ids;
$per = $idtp;
$anno = $anno;
$mes = $mm;
$ugid = $ugid;
//$repro=1;
include("faltaprogper.php");
?>
</body>
</html>
